Karamba

Karamba & Superkaramba

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

0
Score 50.0%
Description:

Karamba is a program improving the eyecandy of KDE.
It is similar to Samurize http://www.samurize.com (without the editor)

More information about Karamba can be found here:
http://www.efd.lth.se/~d98hk/karamba/

Any kamikaze pilots that can give it a try?
-------
Screenshot1: 1600x1200
Screenshot2: 800x600
Download: karamba-0.17.tar.gz
Last changelog:

16 years ago

20030414:
Added ontop, topbar, and bottombar parameters and a few other additions.

20030410:
0.16:
Support for multiple wallpapers
CPU sensor supports multiple CPUs
Added a THEME tag, all themes can now be loaded from one theme.
20030407:
0.15:
The network sensor got a DEVICE parameter. At last.
20030405:
0.141:
Compilation fix (karambarootpixmap.h)
0.14:
Improved wallpaper handling
Changed index.docbook to reduce compile problems
0.13:
Noatun sensor added
Minor fixes
20030403:
XMMS problems are hopefully fixed
20030402:
Changed the type to KDE improvement
20030401:
Added an extra screenshot (800x600) showing a different configuration.

Timslin

10 years ago

Where can I find that wallpaper?

Report

To0X

14 years ago

For Install Karamba you need to install all the KDE Dev packages ( *-dev ).

Report

soya

14 years ago

where can i found your kde window deco? and which is its name? thanks

Report

suplata

15 years ago

Hello...
I have Mandrake 9.0 and cannot compile
karamba and I do not know, what a version of Qt I need. Please help me.

Report

redrem

15 years ago

error : no acceptable c compiler found in $path Plz help me .

Report

shael

15 years ago

I can't compile it !

Report

Blacksheep

15 years ago

I Have Suse 9.0

Report

Blacksheep

15 years ago

Where I can find the KDE Header

Please help me

Thank you

Report

Yaba

15 years ago

Install the KDE devel RPMs

Report

adam

15 years ago

i have aclocal 1.7 installed, where do i find aclocal 1.4? not sure why it doesn't use the updated version :\

Report

Alpacino

15 years ago

How can i install karamba please help me.

Report

valberg

15 years ago

Karamba looks really really sweet, but, when I have compiled it and run "make install" I can't run karamba from the commandline... Help !!!

Report

valberg

15 years ago

hmm... I ran karamba from the src/ and tried some .themes, but I can't se many of them... Can someone help me with this?

Report

BU5T4

16 years ago

Hi folks,

Mabey you can help. i am a relitive linux newbie and i just cant seem to get this to install.

this is the error i get:

/usr/bin/ld: cannot find -lpng
collect2: ld returned 1 exit status
make[3]: *** [karamba] Error 1
make[3]: Leaving directory `/home/BU5T4/software_downloads/karamba-0.17/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/BU5T4/software_downloads/karamba-0.17/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/BU5T4/software_downloads/karamba-0.17'
make: *** [all] Error 2

I have googled these results and found very little. somewhere mentioned having to have X11 devel, but i cant seem to find a download for this anywhere ive tryed rpmfind.net and tryed using synaptic but i just cant sort this.
Any help would be much appreceated

Report

adben

16 years ago

i type

./configure && make

after... i got this message, somebody could help me?

g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -c -o main.o `test -f 'main.cpp' || echo './'`main.cpp
/usr/lib/qt3/bin/moc ./karamba.h -o karamba.moc
source='karamba.cpp' object='karamba.o' libtool=no \
depfile='.deps/karamba.Po' tmpdepfile='.deps/karamba.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -c -o karamba.o `test -f 'karamba.cpp' || echo './'`karamba.cpp
source='karambarootpixmap.cpp' object='karambarootpixmap.o' libtool=no \
depfile='.deps/karambarootpixmap.Po' tmpdepfile='.deps/karambarootpixmap.TPo' \
depmode=gcc3 /bin/sh ../admin/depcomp \
g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3/include -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -c -o karambarootpixmap.o `test -f 'karambarootpixmap.cpp' || echo './'`karambarootpixmap.cpp
/bin/sh ../libtool --silent --mode=link --tag=CXX g++ -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -O2 -fno-exceptions -fno-check-new -o karamba -R /usr/lib -R /usr/lib/qt3/lib -R /usr/X11R6/lib -L/usr/X11R6/lib -L/usr/lib/qt3/lib -L/usr/lib main.o karamba.o meter.o bar.o sensor.o datesensor.o textlabel.o memsensor.o uptimesensor.o cpusensor.o networksensor.o imagelabel.o graph.o xmmssensor.o programsensor.o disksensor.o sensorparams.o sensorsensor.o textfilesensor.o clickarea.o noatunsensor.o karambarootpixmap.o cpusensor.moc.o sensorsensor.moc.o clickarea.moc.o sensor.moc.o datesensor.moc.o disksensor.moc.o memsensor.moc.o programsensor.moc.o bar.moc.o meter.moc.o networksensor.moc.o xmmssensor.moc.o textfilesensor.moc.o -lkio -lkdeui
libtool: link: cannot find the library `/usr/lib/libfam.la'
make[3]: *** [karamba] Error 1
make[3]: Leaving directory `/home/adben/Desktop/karamba/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/adben/Desktop/karamba/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/adben/Desktop/karamba'
make: *** [all] Error 2

Report

nocman

16 years ago

yes, try to install libfam.
i got the same error and installed the libfam-devel library's which come with Mandrake 9.1
I hope i can help you.

Report

hxxbin

16 years ago

Hey I got a Error with a library, could someone help me pls? The error is this:

checking for libXext... no
configure: error: We need a working libXext to proceed. Since configure
can't find it itself, we stop here assuming that make wouldn't find
them either.

First the configure didn't work cuz it need the X includes and libraries, and I put the options

--x-include=/usr/X11R6/include
--x-libraries=/usr/X11R6/lib

And I got the error, I look for the library libXext, and I have libXext.so.6.4 and asymbolic link libXext.so.6

What is it wrong here??

Report

boshek1001

16 years ago

I'd love to use this, but I get the following text when I attempt to compile. I'm new to this. Any thoughts?

checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking for -p flag to install... yes
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets ${MAKE}... yes
checking for style of include used by make... GNU
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH

Report

cmbofh

16 years ago

It seems you're missing a compiler.
Try to install the gcc package
from your distribution medium.
It should exist for any distro.

Report

rankone1

16 years ago

has anyone seen this error before?


-lkio -lkdeui -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm -lxmms
/usr/bin/ld: cannot find -lart_lgpl_2
collect2: ld returned 1 exit status

any help would be most welcome, this look is incredible

Report

asigurds

16 years ago

I was hoping someno might be able to assist me solving the following problem while trying to use urpmi to install
the karamba rpm file (from cooker) on a Mandrake 9.1 machine.

urpmi karamba
To satisfy dependencies, the following packages are going to be installed (4 MB):
karamba-0.17-3mdk.i586
sitescooper-3.1.2-2mdk.i586
wml-2.0.9-5mdk.i586
Is this OK? (Y/n)
installing /var/cache/urpmi/rpms/karamba-0.17-3mdk.i586.rpm /var/cache/urpmi/rpms/sitescooper-3.1.2-2mdk.i586.rpm /var/cache/urpmi/rpms/wml-2.0.9-5mdk.i586.rpm

Installation failed:
perl(POSIX) is needed by karamba-0.17-3mdk
perl(AnyDBM_File) is needed by sitescooper-3.1.2-2mdk
perl(Carp) is needed by sitescooper-3.1.2-2mdk
perl(Cwd) is needed by sitescooper-3.1.2-2mdk
perl(DynaLoader) is needed by sitescooper-3.1.2-2mdk
perl(Exporter) is needed by sitescooper-3.1.2-2mdk
perl(Fcntl) is needed by sitescooper-3.1.2-2mdk
perl(File::Basename) is needed by sitescooper-3.1.2-2mdk
perl(File::Copy) is needed by sitescooper-3.1.2-2mdk
perl(File::Find) is needed by sitescooper-3.1.2-2mdk
perl(File::Path) is needed by sitescooper-3.1.2-2mdk
perl(FileHandle) is needed by sitescooper-3.1.2-2mdk
perl(FindBin) is needed by sitescooper-3.1.2-2mdk
perl(MD5) is needed by sitescooper-3.1.2-2mdk
perl(MacPerl) is needed by sitescooper-3.1.2-2mdk
perl(Socket) >= 1.3 is needed by sitescooper-3.1.2-2mdk
perl(Time::Local) is needed by sitescooper-3.1.2-2mdk
perl(Win32::Process) is needed by sitescooper-3.1.2-2mdk
perl(Win32::TieRegistry) is needed by sitescooper-3.1.2-2mdk
perl(in) is needed by sitescooper-3.1.2-2mdk
perl(integer) is needed by sitescooper-3.1.2-2mdk
perl(overload) is needed by sitescooper-3.1.2-2mdk
perl(strict) is needed by sitescooper-3.1.2-2mdk
perl(to) is needed by sitescooper-3.1.2-2mdk
perl(vars) is needed by sitescooper-3.1.2-2mdk
perl(AutoLoader) is needed by wml-2.0.9-5mdk
perl(Carp) is needed by wml-2.0.9-5mdk
perl(Cwd) is needed by wml-2.0.9-5mdk
perl(DynaLoader) is needed by wml-2.0.9-5mdk
perl(Exporter) is needed by wml-2.0.9-5mdk
perl(Fcntl) is needed by wml-2.0.9-5mdk
perl(File::Spec) is needed by wml-2.0.9-5mdk
perl(File::stat) is needed by wml-2.0.9-5mdk
perl(FileHandle) is needed by wml-2.0.9-5mdk
perl(SelectSaver) is needed by wml-2.0.9-5mdk
perl(Socket) is needed by wml-2.0.9-5mdk
perl(Symbol) is needed by wml-2.0.9-5mdk
perl(Tie::Hash) is needed by wml-2.0.9-5mdk
perl(strict) is needed by wml-2.0.9-5mdk
perl(vars) is needed by wml-2.0.9-5mdk

I'm not sure what I have to install to solve the dependencies. I can see that f.ex. AnyDBM_File.pm and some
of the other perl dependencies are indeed installed in the /usr/lib/perl5/5.8.0 directory.

Report

valajbeg85

16 years ago

libtool: link: cannot find the library `/usr/lib/libfam.la'
make[3]: *** [karamba] Error 1
make[3]: Leaving directory `/home/valajbeg/Desktop/karamba-0.141/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/valajbeg/Desktop/karamba-0.141/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/valajbeg/Desktop/karamba-0.141'
make: *** [all] Error 2



can somebody helpme ! ? ? ?

Report

sleepwalkers

16 years ago

I have the same problem:
libtool: link: cannot find the library `/usr/lib/libfam.la'
make[3]: *** [karamba] Error 1
make[3]: Leaving directory `/home/swearema/karamba-0.17/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/swearema/karamba-0.17/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/swearema/karamba-0.17'
make: *** [all] Error 2

I'm using Drake 9.1, KDE 3.1... what pkg should I install to be able to use Karamba? I reeeally wanna use it...

Report

sm2iar

16 years ago

urpmi libfam0-devel

or in other words install libfam0-devel

/micke

Report

valajbeg85

16 years ago

Hm.. hee my friend.. can u give some more explanations!? PLS!.

Report

16 years ago

20030414:
Added ontop, topbar, and bottombar parameters and a few other additions.

20030410:
0.16:
Support for multiple wallpapers
CPU sensor supports multiple CPUs
Added a THEME tag, all themes can now be loaded from one theme.
20030407:
0.15:
The network sensor got a DEVICE parameter. At last.
20030405:
0.141:
Compilation fix (karambarootpixmap.h)
0.14:
Improved wallpaper handling
Changed index.docbook to reduce compile problems
0.13:
Noatun sensor added
Minor fixes
20030403:
XMMS problems are hopefully fixed
20030402:
Changed the type to KDE improvement
20030401:
Added an extra screenshot (800x600) showing a different configuration.

12345678910
product-maker Base: 4 x 5.0 Ratings
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs ocs-url or ocs-store to install things
Pling
0 Affiliates
Details
license
version
0.17
updated Apr 14 2003
added Mar 31 2003
downloads 24h
0
page views 24h 1